curl --request GET \
--url https://api.example.com/api/data-readiness/metrics/trend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/data-readiness/metrics/trend"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/data-readiness/metrics/trend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scope": "service",
"entity": {
"service": "production_db",
"database_name": "analytics",
"schema_name": "public",
"table_name": "customers"
},
"start_date": "2024-01-01T00:00:00Z",
"end_date": "2024-01-31T23:59:59Z",
"granularity": "day",
"data_points": [
{
"timestamp": "2024-01-15T00:00:00Z",
"overall_score": "0.82",
"dimensions": [
{
"dimension_id": "550e8400-e29b-41d4-a716-446655440021",
"name": "completeness",
"score": "0.85",
"weight": "0.25"
}
]
}
]
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}Get Score Trend
Returns score trend over a time range, bucketed by the requested granularity.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.
Query Parameters
Start of the time range (ISO 8601)
End of the time range (ISO 8601)
Time bucket granularity
day, week, month Fully qualified name to scope the trend (e.g. service.database.schema.table)
Filter by assessment type
JSON object mapping dimension UUIDs to weights, e.g. {"": 0.5}
Response
Successful Response
Score trend over a time range.
Scope level of the trend
"service"
Entity identifier for the scope
Show child attributes
Show child attributes
Start of the time range (ISO 8601)
"2024-01-01T00:00:00Z"
End of the time range (ISO 8601)
"2024-01-31T23:59:59Z"
Time bucket granularity
"day"
"week"
"month"
Trend data points
Show child attributes
Show child attributes
Was this page helpful?

